From 534051ae790d73188e5c49e633e575acc8498682 Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Tue, 2 Jun 2009 15:12:16 -0400
Subject: Implement Truck Jackson's fix for FS#140

---
 .../mythtv/stable/mythweb/patch/mythweb.pl.diff    | 23 ++++++++++++++++++++++
 1 file changed, 23 insertions(+)
 create mode 100644 abs/core-testing/mythtv/stable/mythweb/patch/mythweb.pl.diff

diff --git a/abs/core-testing/mythtv/stable/mythweb/patch/mythweb.pl.diff b/abs/core-testing/mythtv/stable/mythweb/patch/mythweb.pl.diff
new file mode 100644
index 0000000..6dcbf99
--- /dev/null
+++ b/abs/core-testing/mythtv/stable/mythweb/patch/mythweb.pl.diff
@@ -0,0 +1,23 @@
+*** mythweb-unpatched.pl	2009-06-02 14:55:24.011861459 -0400
+--- mythweb.pl	2009-06-02 14:56:24.386441304 -0400
+***************
+*** 49,57 ****
+  
+  # Connect to the database
+      END { $dbh->disconnect() if ($dbh); }
+!     our $dbh = DBI->connect("dbi:mysql:database=$ENV{'db_name'}:host=$ENV{'db_server'}",
+!                             $ENV{'db_login'},
+!                             $ENV{'db_password'});
+      unless ($dbh) {
+          print header(),
+                "Cannot connect to database: $!\n\n";
+--- 49,57 ----
+  
+  # Connect to the database
+      END { $dbh->disconnect() if ($dbh); }
+!     our $dbh = DBI->connect("dbi:mysql:database=$ENV{'DB_NAME'}:host=$ENV{'DB_SERVER'}",
+!                             $ENV{'DB_LOGIN'},
+!                             $ENV{'DB_PASSWORD'});
+      unless ($dbh) {
+          print header(),
+                "Cannot connect to database: $!\n\n";
-- 
cgit v0.12


From c5efb029b2c21317008cc32385373734dd9fd599 Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Tue, 2 Jun 2009 15:12:46 -0400
Subject: Implement Truck Jackson's fix for FS#140

---
 abs/core-testing/mythtv/stable/mythweb/PKGBUILD | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/abs/core-testing/mythtv/stable/mythweb/PKGBUILD b/abs/core-testing/mythtv/stable/mythweb/PKGBUILD
index 768eba0..c3a2369 100644
--- a/abs/core-testing/mythtv/stable/mythweb/PKGBUILD
+++ b/abs/core-testing/mythtv/stable/mythweb/PKGBUILD
@@ -29,7 +29,8 @@ build() {
    chown -R http:users $startdir/pkg/$DOCROOT
    chmod g+rw $startdir/pkg/$DOCROOT/{image_cache,php_sessions,data}
 
-
+# Workaround for LIGHTTPD bug in mythweb.pl (affects DB queries)
+   patch -p0 < $startdir/patch/mythweb.pl.diff
 
 }
 
-- 
cgit v0.12


From aa0037574fffef5d1a0818e2e2aeee8add9a5e9f Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Tue, 2 Jun 2009 15:28:51 -0400
Subject: bumped pkg version for rebuild

---
 abs/core-testing/mythtv/stable/mythweb/PKGBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/abs/core-testing/mythtv/stable/mythweb/PKGBUILD b/abs/core-testing/mythtv/stable/mythweb/PKGBUILD
index c3a2369..7496d9a 100644
--- a/abs/core-testing/mythtv/stable/mythweb/PKGBUILD
+++ b/abs/core-testing/mythtv/stable/mythweb/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythweb
 pkgver=0.21
-pkgrel=13
+pkgrel=14
 pkgdesc="Web interface for MythTV's backend"
 arch=('i686' 'x86_64')
 url="http://www.mythtv.org"
-- 
cgit v0.12


From 03f66cf733f73ecc62b9a71f569b03453f895ea4 Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Tue, 2 Jun 2009 15:29:09 -0400
Subject: Incremental tweaker fixes.

---
 abs/core-testing/tweaker/PKGBUILD          | 2 +-
 abs/core-testing/tweaker/bin/twk_audio.pl  | 3 ++-
 abs/core-testing/tweaker/bin/twk_cpu.pl    | 4 ++--
 abs/core-testing/tweaker/bin/twk_keymap.sh | 2 --
 4 files changed, 5 insertions(+), 6 deletions(-)

diff --git a/abs/core-testing/tweaker/PKGBUILD b/abs/core-testing/tweaker/PKGBUILD
index f546293..78052f8 100644
--- a/abs/core-testing/tweaker/PKGBUILD
+++ b/abs/core-testing/tweaker/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=tweaker
 pkgver=1
-pkgrel=29
+pkgrel=30
 pkgdesc=""
 arch=('i686' 'x86_64')
 
diff --git a/abs/core-testing/tweaker/bin/twk_audio.pl b/abs/core-testing/tweaker/bin/twk_audio.pl
index eec7992..42a90d1 100755
--- a/abs/core-testing/tweaker/bin/twk_audio.pl
+++ b/abs/core-testing/tweaker/bin/twk_audio.pl
@@ -243,7 +243,8 @@ sub implement_option {
 
 	# Now, do what works for all sound devices.
 	
-	my $command = "su - mythtv -c \"aumix -v 70 -m 0 -l 0 -l R -w 70\""; # ok for analog and digital
+	#my $command = "su - mythtv -c \"aumix -v 70 -m 0 -l 0 -l R -w 70\""; # ok for analog and digital
+	my $command = "su - mythtv -c \"amixer -c 1 -- sset Master playback -20dB\""; # ok for analog and digital
 
 	if (my $error = execute_shell_command($command)) {
 	    $logger->error("ERROR: $error");
diff --git a/abs/core-testing/tweaker/bin/twk_cpu.pl b/abs/core-testing/tweaker/bin/twk_cpu.pl
index fb256cb..118bac1 100755
--- a/abs/core-testing/tweaker/bin/twk_cpu.pl
+++ b/abs/core-testing/tweaker/bin/twk_cpu.pl
@@ -84,7 +84,7 @@ sub implement_option {
 #		}
 	    }
 	    case "medium" {
-		change_or_make_setting('AutoCommflagWhileRecording', '0') || exit -1;
+		change_or_make_setting('AutoCommflagWhileRecording', '1') || exit -1;
 		change_or_make_setting('Theme', 'LinHES') || exit -1; # Moderate eye candy, moderate performance
 		#change_or_make_setting('PreferredMPEG2Decoder', 'libmpeg2') || exit -1; # Least CPU usage, lowest quality
 		#change_or_make_entry("displayprofiles", [["pref_decoder", "libmpeg2"]], [["profilegroupid", "1"], ["profileid", "1"]]) || exit -1; # Least CPU usage, lowest quality
@@ -94,7 +94,7 @@ sub implement_option {
 	    case "high" {
 		change_or_make_setting('AutoCommflagWhileRecording', '1') || exit -1;
 		# ??? Interacts with screen aspect ratio
-		change_or_make_setting('Theme', 'LinHES') || exit -1; # High eye candy, potentially low performance
+		change_or_make_setting('Theme', 'LinHES') || exit -1; # Moderate eye candy, moderate performance
 		#change_or_make_entry("displayprofiles", [["pref_decoder", "ffmpeg"]], [["profilegroupid", "1"], ["profileid", "1"]]) || exit -1; # Most CPU usage, best quality
 		#change_or_make_setting('PreferredMPEG2Decoder', 'ffmpeg') || exit -1; # Most CPU usage, best quality
 		change_or_make_setting('DefaultVideoPlaybackProfile', 'CPU++') || exit -1; # best playback defaults for powerful hardware
diff --git a/abs/core-testing/tweaker/bin/twk_keymap.sh b/abs/core-testing/tweaker/bin/twk_keymap.sh
index 7e4ef8b..2aa38ee 100755
--- a/abs/core-testing/tweaker/bin/twk_keymap.sh
+++ b/abs/core-testing/tweaker/bin/twk_keymap.sh
@@ -69,5 +69,3 @@ else
     echo "ERROR: /etc/mplayer/input.conf is missing, which is unexpected."
     exit -1
 fi
-
-echo "Tweaked keymap"
\ No newline at end of file
-- 
cgit v0.12


From 870b21903c0898f2d71b4686b36ccc744a257b2c Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Wed, 3 Jun 2009 14:52:58 -0400
Subject: Reverted twk_audio.pl to use aumix again.

---
 abs/core-testing/tweaker/bin/twk_audio.pl | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/abs/core-testing/tweaker/bin/twk_audio.pl b/abs/core-testing/tweaker/bin/twk_audio.pl
index 42a90d1..eec7992 100755
--- a/abs/core-testing/tweaker/bin/twk_audio.pl
+++ b/abs/core-testing/tweaker/bin/twk_audio.pl
@@ -243,8 +243,7 @@ sub implement_option {
 
 	# Now, do what works for all sound devices.
 	
-	#my $command = "su - mythtv -c \"aumix -v 70 -m 0 -l 0 -l R -w 70\""; # ok for analog and digital
-	my $command = "su - mythtv -c \"amixer -c 1 -- sset Master playback -20dB\""; # ok for analog and digital
+	my $command = "su - mythtv -c \"aumix -v 70 -m 0 -l 0 -l R -w 70\""; # ok for analog and digital
 
 	if (my $error = execute_shell_command($command)) {
 	    $logger->error("ERROR: $error");
-- 
cgit v0.12


From 4d49c500658b2e9c06742f0930dd203448ecabb3 Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Sat, 6 Jun 2009 12:48:58 -0400
Subject: General bash comparison syntax cleanup.

---
 .../LinHES-config-svn/install_functions.sh         | 54 +++++++++++-----------
 .../LinHES-config/install_functions.sh             | 46 +++++++++---------
 abs/core-testing/LinHES-config/ir_config.sh        | 42 ++++++-----------
 3 files changed, 64 insertions(+), 78 deletions(-)

diff --git a/abs/core-testing/LinHES-config-svn/install_functions.sh b/abs/core-testing/LinHES-config-svn/install_functions.sh
index ddade6d..4f6f7ed 100755
--- a/abs/core-testing/LinHES-config-svn/install_functions.sh
+++ b/abs/core-testing/LinHES-config-svn/install_functions.sh
@@ -38,7 +38,7 @@ update_db_settings Theme "$pick"
 
 function splash_setup (){
     echo $CMDLINE | grep -q splash=silent
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         update_db_settings Hostbootsplash 1
     else
@@ -61,7 +61,7 @@ function setupremote {
             update_db_settings HostRemoteType  "$Remotetype"
         #special case for special remote
         echo "Starting with support for $Remotetype"
-        if [ x$Remotetype = "xdvico" ]
+        if [ "$Remotetype" == "dvico" ]
         then
                 /usr/sbin/lircd  -d /dev/usb/hiddev0
         else
@@ -79,7 +79,7 @@ echo "Scanning for Hauppauge receiver"
 for hpgid in `lspci -nm  -d4444: |cut -d" " -f6-  |tr -d '"'|tr " " :`
 do
     line=`grep $hpgid $TEMPLATES/remotes/i2c.id`
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         modprobe lirc_i2c
         FoundReceiverType=`echo "$line"|cut -d"|" -f2`
@@ -102,7 +102,7 @@ while read line
 do
     USBID=`echo "$line"|cut -d"|"  -f1`
     lsusb -d "$USBID" > /dev/null 2>/dev/null
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         Remotetype=`echo "$line"|cut -d"|" -f2`
         echo "Found $Remotetype"
@@ -111,7 +111,7 @@ do
         break
     fi
 done <$BASE/$TEMPLATES/remotes/receiver_usb.id
-if [ $found_remote = 1 ]
+if [ $found_remote -eq 1 ]
 then
     scan_for_hpg_receiver
 fi
@@ -125,7 +125,7 @@ fi
 function rest_of_network () {
     #netmask
     echo $CMDLINE | grep -q netmask
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         TEMPVAR=${CMDLINE#*netmask=}
         NETMASK=${TEMPVAR%% *}
@@ -139,7 +139,7 @@ function rest_of_network () {
     fi
     #gateway
     echo $CMDLINE | grep -q gateway
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         TEMPVAR=${CMDLINE#*gateway=}
         GATEWAY=${TEMPVAR%% *}
@@ -152,7 +152,7 @@ function rest_of_network () {
 
     #dns
     echo $CMDLINE | grep -q dns
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         TEMPVAR=${CMDLINE#*dns=}
         DNS=${TEMPVAR%% *}
@@ -165,7 +165,7 @@ function rest_of_network () {
 
 function init_network {
     echo $CMDLINE |grep -q netdev
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         TEMPVAR=${CMDLINE#*netdev=}
         MYTHDEFAULT=${TEMPVAR%% *}
@@ -176,7 +176,7 @@ function init_network {
 
 
     echo $CMDLINE | grep -q ip
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         update_db_settings HostDefaulteth0 0
         update_db_settings HostDefault${MYTHDEFAULT} 1
@@ -187,7 +187,7 @@ function init_network {
 
         TEMPVAR=${CMDLINE#*ip=}
         IP=${TEMPVAR%% *}
-        if [ x$IP = xdhcp ]
+        if [ "$IP" == "dhcp" ]
         then
             /sbin/dhcpcd $MYTHDEFAULT
             update_db_settings HostUseDHCP${MYTHDEFAULT} 0
@@ -202,11 +202,11 @@ function init_network {
 
 function init_remote {
     echo $CMDLINE | grep -q remoteport
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         TEMPVAR=${CMDLINE#*remoteport=}
         REMOTEPORT=${TEMPVAR%% *}
-    if [ x"$ReceiverType" = "xSerial" ]
+    if [ "$ReceiverType" == "Serial" ]
     then
         if [ -e /dev/$REMOTEPORT ]
         then
@@ -220,7 +220,7 @@ function init_remote {
     fi
 
     echo $CMDLINE | grep -q remote
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         TEMPVAR=${CMDLINE#*remote=}
         Remotetype=${TEMPVAR%% *}
@@ -239,7 +239,7 @@ ROOT=$1
 DATA=$2
 SWAP=$3
 
-if [ ! x$SWAP = xNO ]
+if [ "$SWAP" != "NO" ]
     then
         SWAPLINE=",$SWAP,S"
         MKSWAPCMD="mkswap /dev/${disk}2"
@@ -248,7 +248,7 @@ if [ ! x$SWAP = xNO ]
        MKSWAPCMD=""
     fi
 
-if [ x$DATA = xALL ]
+if [ "$DATA" == "ALL" ]
 then
     DATALINE=",,,"
     EXTRALINE=""
@@ -315,7 +315,7 @@ unmount_it () {
 
 copy_it () {
 
-        if [ x$1 = xALL ]
+        if [ "$1" == "ALL" ]
         then
             echo "Transferring system"
             unsquashfs -f -d /$mountpoint /.livesys/medium/system.sqf
@@ -403,7 +403,7 @@ function find_uuid() {
 
 
 get_grub_map() {
-    rm /tmp/dev.map
+    [ -e /tmp/dev.map ] && rm /tmp/dev.map
     /sbin/grub --no-floppy --device-map /tmp/dev.map <<EOF
 quit
 EOF
@@ -422,17 +422,17 @@ mapdev() {
     fi
     for  dev in $devs
     do
-        if [ "(" = $(echo $dev | cut -b1) ]; then
+        if [ "(" == $(echo $dev | cut -b1) ]; then
         grubdevice="$dev"
         else
-        if [ "$dev" = "$linuxdevice" ]; then
+        if [ "$dev" == "$linuxdevice" ]; then
             device_found=1
             break
         fi
        fi
     done
-    if [ "$device_found" = "1" ]; then
-        if [ "$partition_flag" = "0" ]; then
+    if [ "$device_found" == "1" ]; then
+        if [ "$partition_flag" == "0" ]; then
             echo "$grubdevice"
         else
             grubdevice_stringlen=${#grubdevice}
@@ -461,7 +461,7 @@ dogrub() {
         #/usr/sbin/xfs_freeze -f /$mountpoint > /dev/null 2>&1
         echo "freezing xfs fs"
         /usr/sbin/xfs_freeze -f /$mountpoint
-        if [ $? = 0 ]
+        if [ $? -eq 0 ]
         then
             sleep 40
             echo "unfreezing xfs"
@@ -531,7 +531,7 @@ case $1 in
                         create_fstab
                     fi
                     #was 5
-                    if [ x$3 = xUPGRADE ]
+                    if [ "$3" == "UPGRADE" ]
                     then
                        if [ ! -f /tmp/etc/KnoppMyth-version ]
                        then
@@ -558,11 +558,11 @@ case $1 in
                       SWAPUUID=$FOUNDUUID
 
                       FOUNDUUID=""
-                      if [ x$4 = x ]
+                      if [ "$4" == "" ]
                       then
                         #upgrade
                         find_uuid ${2}3
-                      elif [ x$5 = xFULL_INSTALL ]
+                      elif [ "$5" == "FULL_INSTALL" ]
                       then
                         #install
                         find_uuid ${2}3
@@ -585,7 +585,7 @@ case $1 in
                         if [ -f /tmp/etc/fstab ]
                         then
                             grep -q /dev/vg /tmp/etc/fstab
-                            if [ $? = 0 ]
+                            if [ $? -eq 0 ]
                             then
                                 grep /dev/vg /tmp/etc/fstab >> /$mountpoint/etc/fstab
                                 grep /dev/vg /tmp/etc/fstab | awk -v mount=$mountpoint ' { print "/" mount $2 }' |xargs mkdir
diff --git a/abs/core-testing/LinHES-config/install_functions.sh b/abs/core-testing/LinHES-config/install_functions.sh
index ce9a057..9f38384 100755
--- a/abs/core-testing/LinHES-config/install_functions.sh
+++ b/abs/core-testing/LinHES-config/install_functions.sh
@@ -38,7 +38,7 @@ update_db_settings Theme "$pick"
 
 function parse_cmdline_2_db(){
     echo $CMDLINE | grep -q displayres
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         TEMPVAR=${CMDLINE#*displayres=}
         update_db_settings HostXres $TEMPVAR
@@ -49,7 +49,7 @@ function parse_cmdline_2_db(){
 
 function bootsplash_setup (){
     echo $CMDLINE | grep -q splash=silent
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         update_db_settings Hostbootsplash 1
     else
@@ -72,7 +72,7 @@ function setupremote {
             update_db_settings HostRemoteType  "$Remotetype"
         #special case for special remote
         printhl "Starting with support for $Remotetype"
-        if [ x$Remotetype = "xdvico" ]
+        if [ "$Remotetype" == "dvico" ]
         then
                 /usr/sbin/lircd  -d /dev/usb/hiddev0
         else
@@ -90,7 +90,7 @@ printhl "   Scanning for Hauppauge receiver"
 for hpgid in `lspci -nm  -d4444: |cut -d" " -f6-  |tr -d '"'|tr " " :`
 do
     line=`grep $hpgid $TEMPLATES/remotes/i2c.id`
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         modprobe lirc_i2c
         FoundReceiverType=`echo "$line"|cut -d"|" -f2`
@@ -131,7 +131,7 @@ while read line
 do
     USBID=`echo "$line"|cut -d"|"  -f1`
     lsusb -d "$USBID" > /dev/null 2>/dev/null
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         Remotetype=`echo "$line"|cut -d"|" -f2`
         printhl  "Found $Remotetype"
@@ -140,7 +140,7 @@ do
         break
     fi
 done <$BASE/$TEMPLATES/remotes/receiver_usb.id
-if [ $found_remote = 1 ]
+if [ $found_remote -eq 1 ]
 then
     scan_for_hpg_receiver
 fi
@@ -154,7 +154,7 @@ fi
 function rest_of_network () {
     #netmask
     echo $CMDLINE | grep -q netmask
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         TEMPVAR=${CMDLINE#*netmask=}
         NETMASK=${TEMPVAR%% *}
@@ -168,7 +168,7 @@ function rest_of_network () {
     fi
     #gateway
     echo $CMDLINE | grep -q gateway
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         TEMPVAR=${CMDLINE#*gateway=}
         GATEWAY=${TEMPVAR%% *}
@@ -180,7 +180,7 @@ function rest_of_network () {
 
     #dns
     echo $CMDLINE | grep -q dns
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         TEMPVAR=${CMDLINE#*dns=}
         DNS=${TEMPVAR%% *}
@@ -193,7 +193,7 @@ function rest_of_network () {
 
 function init_network {
     echo $CMDLINE |grep -q netdev
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         TEMPVAR=${CMDLINE#*netdev=}
         MYTHDEFAULT=${TEMPVAR%% *}
@@ -204,7 +204,7 @@ function init_network {
 
 
     echo $CMDLINE | grep -q ip
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         update_db_settings HostDefaulteth0 0
         update_db_settings HostDefault${MYTHDEFAULT} 1
@@ -215,7 +215,7 @@ function init_network {
 
         TEMPVAR=${CMDLINE#*ip=}
         IP=${TEMPVAR%% *}
-        if [ x$IP = xdhcp ]
+        if [ "$IP" == "dhcp" ]
         then
             /sbin/dhcpcd $MYTHDEFAULT
             update_db_settings HostUseDHCP${MYTHDEFAULT} 0
@@ -230,7 +230,7 @@ function init_network {
 
 function init_remote {
     echo $CMDLINE | grep -q remoteport
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         TEMPVAR=${CMDLINE#*remoteport=}
         REMOTEPORT=${TEMPVAR%% *}
@@ -248,7 +248,7 @@ function init_remote {
     fi
 
     echo $CMDLINE | grep -q remote
-    if [ $? = 0 ]
+    if [ $? -eq 0 ]
     then
         TEMPVAR=${CMDLINE#*remote=}
         Remotetype=${TEMPVAR%% *}
@@ -267,7 +267,7 @@ ROOT=$1
 DATA=$2
 SWAP=$3
 
-if [ ! x$SWAP = xNO ]
+if [ ! "$SWAP" == "NO" ]
     then
         SWAPLINE=",$SWAP,S"
         MKSWAPCMD="mkswap /dev/${disk}2"
@@ -276,7 +276,7 @@ if [ ! x$SWAP = xNO ]
        MKSWAPCMD=""
     fi
 
-if [ x$DATA = xALL ]
+if [ "$DATA" == "ALL" ]
 then
     DATALINE=",,,"
     EXTRALINE=""
@@ -343,7 +343,7 @@ unmount_it () {
 
 copy_it () {
 
-        if [ x$1 = xALL ]
+        if [ "$1" == "ALL" ]
         then
             echo "Transferring system"
             unsquashfs -f -d /$mountpoint /.livesys/medium/system.sqf
@@ -431,7 +431,7 @@ function find_uuid() {
 
 
 get_grub_map() {
-    rm /tmp/dev.map
+    [ -e /tmp/dev.map ] && rm /tmp/dev.map
     /sbin/grub --no-floppy --device-map /tmp/dev.map <<EOF
 quit
 EOF
@@ -489,7 +489,7 @@ dogrub() {
         #/usr/sbin/xfs_freeze -f /$mountpoint > /dev/null 2>&1
         echo "freezing xfs fs"
         /usr/sbin/xfs_freeze -f /$mountpoint
-        if [ $? = 0 ]
+        if [ $? -eq 0 ]
         then
             sleep 40
             echo "unfreezing xfs"
@@ -559,7 +559,7 @@ case $1 in
                         create_fstab
                     fi
                     #was 5
-                    if [ x$3 = xUPGRADE ]
+                    if [ "$3" == "UPGRADE" ]
                     then
                        if [ ! -f /tmp/etc/KnoppMyth-version ]
                        then
@@ -586,11 +586,11 @@ case $1 in
                       SWAPUUID=$FOUNDUUID
 
                       FOUNDUUID=""
-                      if [ x$4 = x ]
+                      if [ "$4" == "" ]
                       then
                         #upgrade
                         find_uuid ${2}3
-                      elif [ x$5 = xFULL_INSTALL ]
+                      elif [ "$5" == "FULL_INSTALL" ]
                       then
                         #install
                         find_uuid ${2}3
@@ -613,7 +613,7 @@ case $1 in
                         if [ -f /tmp/etc/fstab ]
                         then
                             grep -q /dev/vg /tmp/etc/fstab
-                            if [ $? = 0 ]
+                            if [ $? -eq 0 ]
                             then
                                 grep /dev/vg /tmp/etc/fstab >> /$mountpoint/etc/fstab
                                 grep /dev/vg /tmp/etc/fstab | awk -v mount=$mountpoint ' { print "/" mount $2 }' |xargs mkdir
diff --git a/abs/core-testing/LinHES-config/ir_config.sh b/abs/core-testing/LinHES-config/ir_config.sh
index 69d8406..28134e2 100644
--- a/abs/core-testing/LinHES-config/ir_config.sh
+++ b/abs/core-testing/LinHES-config/ir_config.sh
@@ -2,8 +2,7 @@ function include_lirc () {
     config_file=$1
     include_file=$2
     grep -q  ${include_file} ${config_file}
-    if [ $? = 0 ]
-    then
+    if [ "$?" == "0" ]; then
         echo ${include_file} already present
     else
         echo "include \"${include_file}\"" >> $config_file
@@ -39,8 +38,7 @@ function setup_ir_remote {
             #make backup copy
             mv ${BASE}/etc/lircd.conf ${BASE}/etc/lircd.conf.`date +%Y-%m-%d-%H-%M`
             mv ${BASE}/etc/lircrc ${BASE}/etc/lircrc.`date +%Y-%m-%d-%H-%M`
-            if [ $HostBlasterType = pvr150 ]
-            then
+            if [ "$HostBlasterType" == "pvr150" ]; then
                 Remotetype=hauppauge-blaster
             fi
 
@@ -58,18 +56,15 @@ function setup_ir_remote {
             chmod 755 /etc/lircrc
             daemon_add="lircd $daemon_add"
             #standard location for mythtv lircrc
-            if [ ! -e /home/mythtv/.mythtv/lircrc ]
-            then
-                if [ ! -d /home/mythtv/.mythtv ]
-                then
+            if [ ! -e /home/mythtv/.mythtv/lircrc ]; then
+                if [ ! -d /home/mythtv/.mythtv ]; then
                     mkdir /home/mythtv/.mythtv
                     chown mythtv:mythtv /home/mythtv/.mythtv
                 fi
                 ln -s /etc/lircrc /home/mythtv/.mythtv/lircrc 2> /dev/null
             fi
             #standard location for lircrc
-            if [ ! -e /home/mythtv/.lircrc ]
-            then
+            if [ ! -e /home/mythtv/.lircrc ]; then
                 ln -s /etc/lircrc /home/mythtv/.lircrc 2> /dev/null
             fi
 #             echo "Sending hup to lircd"
@@ -141,16 +136,14 @@ function setup_lcd () {
             x) echo "empty lcd" ;;
 
             *) echo "setup lcd"
-                if [ -f $TEMPLATES/LCD/$LCDtype/modules  ]
-                then
+                if [ -f $TEMPLATES/LCD/$LCDtype/modules  ]; then
                     sed -i -e '/.*#LCD/d' ${BASE}/etc/modules.mythvantage
                     cat $TEMPLATES/LCD/$LCDtype/modules >> ${BASE}/etc/modules.mythvantage
                 #should also modprobe
                 fi
 
 
-                if [ -f $TEMPLATES/LCD/$LCDtype/LCDd.conf ]
-                then
+                if [ -f $TEMPLATES/LCD/$LCDtype/LCDd.conf ]; then
                     cp_and_log  $TEMPLATES/LCD/$LCDtype/LCDd.conf /etc
                 # install="lcdproc $install"
                     daemon_add="lcdd $daemon_add"
@@ -160,10 +153,8 @@ function setup_lcd () {
                 fi
                 #check if lirc capable,if so then call setupremote
                 #if not in tinker mode check for remote
-                if [ ! x$Remotetype = xtinker ]
-                then
-                    if [ -f $TEMPLATES/LCD/$LCDtype/lircrc ]
-                    then
+                if [ "$Remotetype" != "tinker" ]; then
+                    if [ -f $TEMPLATES/LCD/$LCDtype/lircrc ]; then
                         cd $TEMPLATES/LCD/$LCDtype
                         for i in lircd*
                         do
@@ -182,18 +173,15 @@ function setup_lcd () {
 }
 
 function setup_blaster_proto () {
-    if [ x$HostBlasterType = x ]
-    then
+    if [ "$HostBlasterType" == "" ]; then
         HostBlasterType = "crap"
     fi
-    if [ ! $HostBlasterType = pvr150 -a ! $HostBlasterType = None ]
-    then
+    if [[ ("$HostBlasterType" != "pvr150") && ("$HostBlasterType" != "None") ]]; then
         for i in `seq $Hostnumblaster`
         do
             TEMP=HostTransmitproto_$i
             eval proto=\$${TEMP}
-            if [ -f $TEMPLATES/transmit/${proto}/lircd.conf ]
-            then
+            if [ -f $TEMPLATES/transmit/${proto}/lircd.conf ]; then
                 include_lirc  ${BASE}/etc/lircd.conf $TEMPLATES/transmit/${proto}/lircd.conf
             fi
         done
@@ -207,8 +195,7 @@ function setup_blaster_proto () {
 function setup_blaster_transmiter () {
     echo "setup_blaster_transmiter"
     #if it's Reciever type, then these modules have already been loaded.
-    if [ ! x$HostBlasterType = xReceiver ]
-    then
+    if [ "$HostBlasterType" != "Receiver" ]; then
         case $HostBlasterType in
             None) echo "no blaster"
                   sed -i -e '/.*#blaster/d' ${BASE}/etc/modules.mythvantage
@@ -235,8 +222,7 @@ function setup_blaster_transmiter () {
 }
 
 function setupir () {
-   if [ ! x$Remotetype = xtinker ]
-   then
+   if [ "$Remotetype" != "tinker" ]; then
         setup_ir_remote
         setup_ir_receiver
         unload_all_lirc
-- 
cgit v0.12


From 9c54ec9aeb2a74932f3d13563f441af668b59f46 Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Sat, 6 Jun 2009 12:50:02 -0400
Subject: Surrounded all variables in quotes for safe bash comparisons.

---
 abs/core-testing/fbsplash/fbsplash.inithooks | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/abs/core-testing/fbsplash/fbsplash.inithooks b/abs/core-testing/fbsplash/fbsplash.inithooks
index 0e8c60c..c396b92 100644
--- a/abs/core-testing/fbsplash/fbsplash.inithooks
+++ b/abs/core-testing/fbsplash/fbsplash.inithooks
@@ -28,14 +28,14 @@ stat_busy() {
         # Load variables #
         var_load STEP_NR MAX_STEPS RC_MULTI RC_SYSINIT RC_SHUTDOWN
         # Only update the splash progress if we're in sysinit, multi, or shutdown. #
-        if [[ ${SPLASH_RC_MULTI}  == 1 || ${SPLASH_RC_SYSINIT} == 1 || ${SPLASH_RC_SHUTDOWN} == 1 ]]; then
+        if [[ "${SPLASH_RC_MULTI}" == "1" || "${SPLASH_RC_SYSINIT}" == "1" || "${SPLASH_RC_SHUTDOWN}" == "1" ]]; then
                 ((SPLASH_STEP_NR++))
                 SPLASH_PROGRESS=$((100*${SPLASH_STEP_NR}/${SPLASH_MAX_STEPS}))
                 SPLASH_CURRENT_PROGRESS=${SPLASH_PROGRESS}
                 splash_update_progress ${SPLASH_PROGRESS}
                 var_save STEP_NR CURRENT_PROGRESS
         fi
-	if [ ${SPLASH_RC_SHUTDOWN} == 1 ]; then
+	if [ "${SPLASH_RC_SHUTDOWN}" == "1" ]; then
 		save_shutdown_steps
 	fi
 
@@ -57,7 +57,7 @@ start_daemon() {
 }
 
 # rc.sysinit #
-if [ $CALLER == '/etc/rc.sysinit' ]; then
+if [ "$CALLER" == '/etc/rc.sysinit' ]; then
 #	echo "fbsplash: Setting up splash..."
 	splash_cache_prep
 	SPLASH_MAX_STEPS=$(load_boot_steps)
@@ -69,14 +69,14 @@ if [ $CALLER == '/etc/rc.sysinit' ]; then
 fi
 
 # rc.multi #
-if [ $CALLER == '/etc/rc.multi' ]; then
+if [ "$CALLER" == '/etc/rc.multi' ]; then
 	SPLASH_RC_MULTI=1
 	SPLASH_RC_SYSINIT=0
 	var_save RC_MULTI RC_SYSINIT
 fi
 
 # rc.shutdown #
-if [ $CALLER == '/etc/rc.shutdown' ]; then
+if [ "$CALLER" == '/etc/rc.shutdown' ]; then
 #	echo "fbsplash: Setting up splash..."
 	splash_cache_prep
 	SPLASH_MAX_STEPS=$(load_shutdown_steps)
-- 
cgit v0.12


From a04843d226f76ff8dfd537352b7796064ee2dcdc Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Sat, 6 Jun 2009 15:25:26 -0400
Subject: mysql server was not always working properly in chroot within
 install_db_chroot.sh

---
 .../LinHES-config-svn/install_db_chroot.sh         | 120 ++++++++++++++-------
 1 file changed, 80 insertions(+), 40 deletions(-)

diff --git a/abs/core-testing/LinHES-config-svn/install_db_chroot.sh b/abs/core-testing/LinHES-config-svn/install_db_chroot.sh
index 1a0131e..f187ba8 100755
--- a/abs/core-testing/LinHES-config-svn/install_db_chroot.sh
+++ b/abs/core-testing/LinHES-config-svn/install_db_chroot.sh
@@ -11,53 +11,93 @@ echo "install_db_chroot hostname is $hostname"
 . $MV_ROOT/bin/install_functions.sh
 #myhost=`cat /etc/hostname`
 
-#mount -t proc none /proc
-pacman --noconfirm -Sf mysql
-/etc/rc.d/mysqld
-
-status=1
-mysqlstatus=1
-while [ ! $status = 0  ]
-do
-    /etc/rc.d/mysqld stop
-    sleep 1
-    /etc/rc.d/mysqld start
-    mysqlstatus=$?
-    if [ $mysqlstatus = 0 ]
-    then
-   	mysql -e "show databases;"
-        showstatus=$?
-        if [ $showstatus = 0 ]
-        then
-            pacman --noconfirm -R mythdb-initial
-            pacman --noconfirm -S mythdb-initial
-            $MV_ROOT/bin/restore_default_settings.sh -c load
-            DISPLAY=127.0.0.1:0  $MV_ROOT/bin/MythVantage  -t  restore,default_1
-            $MV_ROOT/bin/restore_default_settings.sh -c restore -t syssettings
-            $MV_ROOT/bin/systemconfig.sh misc,hostype,this_is_install
-
-            update_db_settings HostServiceMythWEB "1"
-            echo 'UseMythWEB="1"' >> /etc/systemconfig
-
-            #update database to allow user jobs on this host.
-            $MV_ROOT/bin/restore_default_settings.sh  -c  USERJOBALLOW
-            $MV_ROOT/bin/restore_default_settings.sh  -c  ACCESSCONTROL
-	   if [ -d /data/srv/mysql/mythconverg ]
-	   #if [ -d /var/lib/mysql/mythconverg ]
-	   then
+# Put a limit on how many times we try to (re-)start MySQL
+success_test() {
+    # parameter: number of tries to start mysqld so far
+    PID=`pidof -o %PPID /usr/sbin/mysqld`
+    if [ -z "$PID" ]; then
+	if [ $1 -gt 3 ]; then
+	    echo "ERROR: Failed to start MySQL server in $1 attempts."
+	    sleep 5
+	    exit 1
+	else
+	    echo "Tried $1 time(s) to start MySQL server." 
+	    return 1
+	fi
+    else
+	return 0
+    fi
+}
+
+mysqld_tries=0
+# See if MySQL server is running; try several ways to start it if it's not.
+while true; do
+    success_test $mysqld_tries
+    if [ $? -eq 0 ]; then
+	echo "MySQL server is running"
+	break
+    else
+	echo "MySQL server is not running.  Trying to start it."
+	# Maybe it just needs to be started
+	/etc/rc.d/mysqld start
+	mysqld_tries=$((mysqld_tries + 1))
+	success_test $mysqld_tries
+	if [ $? -eq 0 ]; then
+	    echo "MySQL server has been started"
+	    break
+	else
+	    echo "MySQL server may not be installed.  Trying to install it."
+	    # Maybe it's not installed; try (re-)installing it and starting it
+	    pacman --noconfirm -Sf mysql
+	    /etc/rc.d/mysqld start
+	    mysqld_tries=$((mysqld_tries + 1))
+	    success_test $mysqld_tries
+	    if [ $? -eq 0 ]; then
+		echo "MySQL server has been installed and started"
+		break
+	    else
+		echo "MySQL server would not start, even after (re-)installing it."
+	    fi
+	fi
+    fi
+done
+
+# At this point, MySQL server should be up and running
+
+while true; do
+    mysql -e "show databases;"
+
+    if [ $? -eq 0 ]; then
+        pacman --noconfirm -R mythdb-initial
+        pacman --noconfirm -S mythdb-initial
+        $MV_ROOT/bin/restore_default_settings.sh -c load
+        DISPLAY=127.0.0.1:0  $MV_ROOT/bin/MythVantage  -t  restore,default_1
+        $MV_ROOT/bin/restore_default_settings.sh -c restore -t syssettings
+        $MV_ROOT/bin/systemconfig.sh misc,hostype,this_is_install
+	
+        update_db_settings HostServiceMythWEB "1"
+        echo 'UseMythWEB="1"' >> /etc/systemconfig
+	
+        #update database to allow user jobs on this host.
+        $MV_ROOT/bin/restore_default_settings.sh  -c  USERJOBALLOW
+        $MV_ROOT/bin/restore_default_settings.sh  -c  ACCESSCONTROL
+	#if [ -d /var/lib/mysql/mythconverg ]
+	if [ -d /data/srv/mysql/mythconverg ]; then
    	     # pacman --noconfirm -R webcalendar
          #   pacman --noconfirm --nodeps  -S webcalendar
-	    status=0
-	   fi
+	    break
+	else
+	    echo "Failed to create mythconverg database.  Will re-try."
+	    sleep 1
+	fi
 #        if [ $SystemType = "Master_backend" ]
 #        then
 #             $MV_ROOT/bin/restore_default_settings.sh  -c  BECONFIG  -s master  -a $dbhost
 #        fi
-   	fi
+    else
+	echo "Failed to look for databases.  Will re-try."
+	sleep 1
     fi
 done
 /etc/rc.d/mysqld stop
 #umount /proc
-
-
-
-- 
cgit v0.12


From 4a83beff4da2f4d4cd52d63c7b3abc9e999f8fca Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Sat, 6 Jun 2009 15:25:52 -0400
Subject: mysql server was not always working properly in chroot within
 install_db_chroot.sh

---
 .../LinHES-config-svn/install_db_chroot.sh         |  14 ++-
 .../LinHES-config/install_db_chroot.sh             | 130 ++++++++++++++-------
 2 files changed, 102 insertions(+), 42 deletions(-)

diff --git a/abs/core-testing/LinHES-config-svn/install_db_chroot.sh b/abs/core-testing/LinHES-config-svn/install_db_chroot.sh
index f187ba8..6dcbfd5 100755
--- a/abs/core-testing/LinHES-config-svn/install_db_chroot.sh
+++ b/abs/core-testing/LinHES-config-svn/install_db_chroot.sh
@@ -11,11 +11,19 @@ echo "install_db_chroot hostname is $hostname"
 . $MV_ROOT/bin/install_functions.sh
 #myhost=`cat /etc/hostname`
 
+# Before this script is called, the mysqld that facilitated the installation is killed.
+# We need to make sure to stop and start the mysqld that will be used post-install so
+# that the database can be initialized.
+
+/etc/rc.d/mysqld stop
+/etc/rc.d/mysqld stop
+/etc/rc.d/mysqld start
+
 # Put a limit on how many times we try to (re-)start MySQL
 success_test() {
     # parameter: number of tries to start mysqld so far
     PID=`pidof -o %PPID /usr/sbin/mysqld`
-    if [ -z "$PID" ]; then
+    if [ -z "$PID" ]; then # mysqld isn't running
 	if [ $1 -gt 3 ]; then
 	    echo "ERROR: Failed to start MySQL server in $1 attempts."
 	    sleep 5
@@ -24,9 +32,11 @@ success_test() {
 	    echo "Tried $1 time(s) to start MySQL server." 
 	    return 1
 	fi
-    else
+    else # mysqld is running
 	return 0
     fi
+    # should never get here
+    return 1
 }
 
 mysqld_tries=0
diff --git a/abs/core-testing/LinHES-config/install_db_chroot.sh b/abs/core-testing/LinHES-config/install_db_chroot.sh
index 1a0131e..6dcbfd5 100755
--- a/abs/core-testing/LinHES-config/install_db_chroot.sh
+++ b/abs/core-testing/LinHES-config/install_db_chroot.sh
@@ -11,53 +11,103 @@ echo "install_db_chroot hostname is $hostname"
 . $MV_ROOT/bin/install_functions.sh
 #myhost=`cat /etc/hostname`
 
-#mount -t proc none /proc
-pacman --noconfirm -Sf mysql
-/etc/rc.d/mysqld
-
-status=1
-mysqlstatus=1
-while [ ! $status = 0  ]
-do
-    /etc/rc.d/mysqld stop
-    sleep 1
-    /etc/rc.d/mysqld start
-    mysqlstatus=$?
-    if [ $mysqlstatus = 0 ]
-    then
-   	mysql -e "show databases;"
-        showstatus=$?
-        if [ $showstatus = 0 ]
-        then
-            pacman --noconfirm -R mythdb-initial
-            pacman --noconfirm -S mythdb-initial
-            $MV_ROOT/bin/restore_default_settings.sh -c load
-            DISPLAY=127.0.0.1:0  $MV_ROOT/bin/MythVantage  -t  restore,default_1
-            $MV_ROOT/bin/restore_default_settings.sh -c restore -t syssettings
-            $MV_ROOT/bin/systemconfig.sh misc,hostype,this_is_install
-
-            update_db_settings HostServiceMythWEB "1"
-            echo 'UseMythWEB="1"' >> /etc/systemconfig
-
-            #update database to allow user jobs on this host.
-            $MV_ROOT/bin/restore_default_settings.sh  -c  USERJOBALLOW
-            $MV_ROOT/bin/restore_default_settings.sh  -c  ACCESSCONTROL
-	   if [ -d /data/srv/mysql/mythconverg ]
-	   #if [ -d /var/lib/mysql/mythconverg ]
-	   then
+# Before this script is called, the mysqld that facilitated the installation is killed.
+# We need to make sure to stop and start the mysqld that will be used post-install so
+# that the database can be initialized.
+
+/etc/rc.d/mysqld stop
+/etc/rc.d/mysqld stop
+/etc/rc.d/mysqld start
+
+# Put a limit on how many times we try to (re-)start MySQL
+success_test() {
+    # parameter: number of tries to start mysqld so far
+    PID=`pidof -o %PPID /usr/sbin/mysqld`
+    if [ -z "$PID" ]; then # mysqld isn't running
+	if [ $1 -gt 3 ]; then
+	    echo "ERROR: Failed to start MySQL server in $1 attempts."
+	    sleep 5
+	    exit 1
+	else
+	    echo "Tried $1 time(s) to start MySQL server." 
+	    return 1
+	fi
+    else # mysqld is running
+	return 0
+    fi
+    # should never get here
+    return 1
+}
+
+mysqld_tries=0
+# See if MySQL server is running; try several ways to start it if it's not.
+while true; do
+    success_test $mysqld_tries
+    if [ $? -eq 0 ]; then
+	echo "MySQL server is running"
+	break
+    else
+	echo "MySQL server is not running.  Trying to start it."
+	# Maybe it just needs to be started
+	/etc/rc.d/mysqld start
+	mysqld_tries=$((mysqld_tries + 1))
+	success_test $mysqld_tries
+	if [ $? -eq 0 ]; then
+	    echo "MySQL server has been started"
+	    break
+	else
+	    echo "MySQL server may not be installed.  Trying to install it."
+	    # Maybe it's not installed; try (re-)installing it and starting it
+	    pacman --noconfirm -Sf mysql
+	    /etc/rc.d/mysqld start
+	    mysqld_tries=$((mysqld_tries + 1))
+	    success_test $mysqld_tries
+	    if [ $? -eq 0 ]; then
+		echo "MySQL server has been installed and started"
+		break
+	    else
+		echo "MySQL server would not start, even after (re-)installing it."
+	    fi
+	fi
+    fi
+done
+
+# At this point, MySQL server should be up and running
+
+while true; do
+    mysql -e "show databases;"
+
+    if [ $? -eq 0 ]; then
+        pacman --noconfirm -R mythdb-initial
+        pacman --noconfirm -S mythdb-initial
+        $MV_ROOT/bin/restore_default_settings.sh -c load
+        DISPLAY=127.0.0.1:0  $MV_ROOT/bin/MythVantage  -t  restore,default_1
+        $MV_ROOT/bin/restore_default_settings.sh -c restore -t syssettings
+        $MV_ROOT/bin/systemconfig.sh misc,hostype,this_is_install
+	
+        update_db_settings HostServiceMythWEB "1"
+        echo 'UseMythWEB="1"' >> /etc/systemconfig
+	
+        #update database to allow user jobs on this host.
+        $MV_ROOT/bin/restore_default_settings.sh  -c  USERJOBALLOW
+        $MV_ROOT/bin/restore_default_settings.sh  -c  ACCESSCONTROL
+	#if [ -d /var/lib/mysql/mythconverg ]
+	if [ -d /data/srv/mysql/mythconverg ]; then
    	     # pacman --noconfirm -R webcalendar
          #   pacman --noconfirm --nodeps  -S webcalendar
-	    status=0
-	   fi
+	    break
+	else
+	    echo "Failed to create mythconverg database.  Will re-try."
+	    sleep 1
+	fi
 #        if [ $SystemType = "Master_backend" ]
 #        then
 #             $MV_ROOT/bin/restore_default_settings.sh  -c  BECONFIG  -s master  -a $dbhost
 #        fi
-   	fi
+    else
+	echo "Failed to look for databases.  Will re-try."
+	sleep 1
     fi
 done
 /etc/rc.d/mysqld stop
 #umount /proc
-
-
-
-- 
cgit v0.12


From 4ccf7ae32490970ea63945efe2bcd99a8b4ba960 Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Sat, 6 Jun 2009 15:27:26 -0400
Subject: Added local copy of darch.tar.bz2 to work around third-party site
 dependency.

---
 abs/core-testing/fbsplash/darch.tar.bz2 | Bin 0 -> 1572821 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 abs/core-testing/fbsplash/darch.tar.bz2

diff --git a/abs/core-testing/fbsplash/darch.tar.bz2 b/abs/core-testing/fbsplash/darch.tar.bz2
new file mode 100644
index 0000000..0faab98
Binary files /dev/null and b/abs/core-testing/fbsplash/darch.tar.bz2 differ
-- 
cgit v0.12


From 282973dcde4afbe28a296a85070f904fc6da7326 Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Sat, 6 Jun 2009 16:36:54 -0400
Subject: Fixed misspelling.

---
 abs/core-testing/LinHES-config-svn/PKGBUILD         | 2 +-
 abs/core-testing/LinHES-config-svn/install_proxy.sh | 4 ++--
 abs/core-testing/LinHES-config/PKGBUILD             | 2 +-
 abs/core-testing/LinHES-config/install_proxy.sh     | 4 ++--
 abs/core/live-installer/PKGBUILD                    | 2 +-
 abs/core/live-installer/install_proxy.sh            | 4 ++--
 abs/mv-core/MythVantage-config/PKGBUILD             | 2 +-
 abs/mv-core/MythVantage-config/install_proxy.sh     | 4 ++--
 8 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/abs/core-testing/LinHES-config-svn/PKGBUILD b/abs/core-testing/LinHES-config-svn/PKGBUILD
index 2927a6e..32645a2 100755
--- a/abs/core-testing/LinHES-config-svn/PKGBUILD
+++ b/abs/core-testing/LinHES-config-svn/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=LinHES-config-svn
 pkgver=1.0
-pkgrel=294
+pkgrel=299
 conflicts=(MythVantage-config MythVantage-config-dev LinHES-config-dev )
 pkgdesc="Install and configure your system"
 depends=(bc libstatgrab  mysql-python expect curl dnsutils parted sg3_utils nmbscan system-templates )
diff --git a/abs/core-testing/LinHES-config-svn/install_proxy.sh b/abs/core-testing/LinHES-config-svn/install_proxy.sh
index 3f626a1..32d01d7 100755
--- a/abs/core-testing/LinHES-config-svn/install_proxy.sh
+++ b/abs/core-testing/LinHES-config-svn/install_proxy.sh
@@ -174,7 +174,7 @@ full_install () {
     sleep 1
     $run partition_it $disk $rootsize $datasize $swapsize
 
-    echo "Formating $disk" > /tmp/.install_state
+    echo "Formatting $disk" > /tmp/.install_state
         progress 2
     sleep 1
     $run format_it $disk $rootfs $datafs
@@ -294,7 +294,7 @@ function upgrade () {
 
     if [ ! x$rootfs = "xDo_not_format" ]
     then
-        echo "Formating $disk" > /tmp/.install_state
+        echo "Formatting $disk" > /tmp/.install_state
             progress 2
             sleep 1
             $run format_it $disk $rootfs NO
diff --git a/abs/core-testing/LinHES-config/PKGBUILD b/abs/core-testing/LinHES-config/PKGBUILD
index f3d9638..1d925e5 100644
--- a/abs/core-testing/LinHES-config/PKGBUILD
+++ b/abs/core-testing/LinHES-config/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=LinHES-config
 pkgver=1.0
-pkgrel=403
+pkgrel=413
 conflicts=(MythVantage-config MythVantage-config-dev LinHES-config-dev )
 pkgdesc="Install and configure your system"
 depends=(bc libstatgrab  mysql-python expect curl dnsutils parted sg3_utils nmbscan system-templates rsync )
diff --git a/abs/core-testing/LinHES-config/install_proxy.sh b/abs/core-testing/LinHES-config/install_proxy.sh
index d39f712..4d158e7 100755
--- a/abs/core-testing/LinHES-config/install_proxy.sh
+++ b/abs/core-testing/LinHES-config/install_proxy.sh
@@ -174,7 +174,7 @@ full_install () {
     sleep 1
     $run partition_it $disk $rootsize $datasize $swapsize
 
-    echo "Formating $disk" > /tmp/.install_state
+    echo "Formatting $disk" > /tmp/.install_state
         progress 2
     sleep 1
     $run format_it $disk $rootfs $datafs
@@ -302,7 +302,7 @@ function upgrade () {
 
     if [ ! x$rootfs = "xDo_not_format" ]
     then
-        echo "Formating
+        echo "Formatting
         $disk" > /tmp/.install_state
             progress 2
             sleep 1
diff --git a/abs/core/live-installer/PKGBUILD b/abs/core/live-installer/PKGBUILD
index 5b41dcd..e93031d 100755
--- a/abs/core/live-installer/PKGBUILD
+++ b/abs/core/live-installer/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=live-installer
 pkgver=1.0
-pkgrel=26
+pkgrel=27
 pkgdesc="Install and configure your system"
 #depends=(bc mysql-python expect curl dnsutils)
 depends=(bc libstatgrab  mysql-python expect curl dnsutils parted sg3_utils)
diff --git a/abs/core/live-installer/install_proxy.sh b/abs/core/live-installer/install_proxy.sh
index 756c46d..ec7f29c 100755
--- a/abs/core/live-installer/install_proxy.sh
+++ b/abs/core/live-installer/install_proxy.sh
@@ -44,7 +44,7 @@ full_install () {
     sleep 1
     $run partition_it $disk $rootsize $datasize $swapsize
 
-    echo "Formating $disk" > /tmp/.install_state
+    echo "Formatting $disk" > /tmp/.install_state
         progress 2
     sleep 1
     $run format_it $disk $rootfs $datafs
@@ -144,7 +144,7 @@ function upgrade () {
 
     if [ ! x$rootfs = "xDo_not_format" ]
     then
-        echo "Formating $disk" > /tmp/.install_state
+        echo "Formatting $disk" > /tmp/.install_state
             progress 2
             sleep 1
             $run format_it $disk $rootfs NO
diff --git a/abs/mv-core/MythVantage-config/PKGBUILD b/abs/mv-core/MythVantage-config/PKGBUILD
index d59299e..70c3029 100755
--- a/abs/mv-core/MythVantage-config/PKGBUILD
+++ b/abs/mv-core/MythVantage-config/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=MythVantage-config
 pkgver=3.2
-pkgrel=152
+pkgrel=153
 pkgdesc="The Gui-installer"
 depends=(bc mysql-python expect curl dnsutils sg3_utils parted)
 arch=('i686')
diff --git a/abs/mv-core/MythVantage-config/install_proxy.sh b/abs/mv-core/MythVantage-config/install_proxy.sh
index 84b397e..9019349 100755
--- a/abs/mv-core/MythVantage-config/install_proxy.sh
+++ b/abs/mv-core/MythVantage-config/install_proxy.sh
@@ -63,7 +63,7 @@ full_install () {
     sleep 1
     $run partition_it $disk $rootsize $datasize $swapsize
 
-    echo "Formating $disk" > /tmp/.install_state
+    echo "Formatting $disk" > /tmp/.install_state
         progress 2
     sleep 1
     $run format_it $disk $rootfs $datafs
@@ -165,7 +165,7 @@ function upgrade () {
 
     if [ ! x$rootfs = "xDo_not_format" ]
     then
-        echo "Formating $disk" > /tmp/.install_state
+        echo "Formatting $disk" > /tmp/.install_state
             progress 2
             sleep 1
             $run format_it $disk $rootfs NO
-- 
cgit v0.12


From 3e8160398a8d0caa2ede56e2c4ac48511985f994 Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Sat, 6 Jun 2009 16:37:35 -0400
Subject: removed obsolete transcoders from mythconverg; added new mp3
 transcoder

---
 abs/core-testing/tweaker/PKGBUILD           | 2 +-
 abs/core-testing/tweaker/bin/twk_general.pl | 9 ++++-----
 2 files changed, 5 insertions(+), 6 deletions(-)

diff --git a/abs/core-testing/tweaker/PKGBUILD b/abs/core-testing/tweaker/PKGBUILD
index 78052f8..9617e49 100644
--- a/abs/core-testing/tweaker/PKGBUILD
+++ b/abs/core-testing/tweaker/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=tweaker
 pkgver=1
-pkgrel=30
+pkgrel=31
 pkgdesc=""
 arch=('i686' 'x86_64')
 
diff --git a/abs/core-testing/tweaker/bin/twk_general.pl b/abs/core-testing/tweaker/bin/twk_general.pl
index 5b48bda..387920c 100755
--- a/abs/core-testing/tweaker/bin/twk_general.pl
+++ b/abs/core-testing/tweaker/bin/twk_general.pl
@@ -407,12 +407,11 @@ sub implement_option {
 	    change_or_make_setting('StartupSecsBeforeRecording', '120');
 	    change_or_make_setting('TruncateDeletesSlowly', '1');
 	    change_or_make_setting('UseOutputPictureControls', '1');
-	    change_or_make_setting('UserJob1', 'myth2ipod -cut \"%DIR%\" \"%FILE%\"');
-	    change_or_make_setting('UserJob2', 'myt2xvid3 -cut \"%DIR%\" \"%FILE%\"');
-	    change_or_make_setting('UserJobDesc1', 'Encode for iPod');
-	    change_or_make_setting('UserJobDesc2', 'Transcode to XviD');
+	    change_or_make_setting('UserJob4', 'myth2mp3 -cut \"%DIR%\" \"%FILE%\"');
+	    change_or_make_setting('UserJobDesc1', 'User Job #1');
+	    change_or_make_setting('UserJobDesc2', 'User Job #2');
 	    change_or_make_setting('UserJobDesc3', 'User Job #3');
-	    change_or_make_setting('UserJobDesc4', 'User Job #4');
+	    change_or_make_setting('UserJobDesc4', 'Extract audio');
 	    change_or_make_setting('VCDPlayerCommand', 'mplayer vcd:\/\/ -cdrom-device %d -fs -zoom -vo xv -vf pp=lb');
 	    change_or_make_setting('VideoArtworkDir', "$SQL_DirVideo/.covers");
 	    change_or_make_setting('VideoBrowserNoDB', '1');
-- 
cgit v0.12


From 44a7708b5c42c2c495012c483cc7db5c8e3ab92e Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Sat, 6 Jun 2009 16:37:54 -0400
Subject: bumped rev for fbsplash

---
 abs/core-testing/fbsplash/PKGBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/abs/core-testing/fbsplash/PKGBUILD b/abs/core-testing/fbsplash/PKGBUILD
index 92a59ea..5d42484 100644
--- a/abs/core-testing/fbsplash/PKGBUILD
+++ b/abs/core-testing/fbsplash/PKGBUILD
@@ -2,7 +2,7 @@
 
 pkgname=fbsplash
 pkgver=1.5.4.3
-pkgrel=13
+pkgrel=14
 pkgdesc="A userspace implementation of a splash screen for Linux (formerly known as gensplash)"
 arch=('i686' 'x86_64')
 url="http://fbsplash.berlios.de"
-- 
cgit v0.12


From 8dd571de2d83b945fef01103fbe8c241e774f0e3 Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Sat, 6 Jun 2009 16:38:11 -0400
Subject: bumped rev for mythweb

---
 abs/core-testing/mythtv/stable/mythweb/PKGBUILD | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/abs/core-testing/mythtv/stable/mythweb/PKGBUILD b/abs/core-testing/mythtv/stable/mythweb/PKGBUILD
index 7496d9a..e601ae9 100644
--- a/abs/core-testing/mythtv/stable/mythweb/PKGBUILD
+++ b/abs/core-testing/mythtv/stable/mythweb/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythweb
 pkgver=0.21
-pkgrel=14
+pkgrel=15
 pkgdesc="Web interface for MythTV's backend"
 arch=('i686' 'x86_64')
 url="http://www.mythtv.org"
@@ -23,15 +23,15 @@ build() {
 #   tar -zxvf $startdir/patch/icons.tar.gz
 ###
 
+   # Workaround for LIGHTTPD bug in mythweb.pl (affects DB queries)
+   cd $startdir/src/mythplugins/$pkgname/
+   patch -p0 < $startdir/patch/mythweb.pl.diff
+
    cp -r $startdir/src/mythplugins/$pkgname/* $startdir/pkg/$DOCROOT
 #   cp $startdir/src/mythplugins-$pkgver/$pkgname/data/.htaccess $startdir/pkg/$DOCROOT
    rm $startdir/pkg/srv/$DOCROOT/README
    chown -R http:users $startdir/pkg/$DOCROOT
    chmod g+rw $startdir/pkg/$DOCROOT/{image_cache,php_sessions,data}
-
-# Workaround for LIGHTTPD bug in mythweb.pl (affects DB queries)
-   patch -p0 < $startdir/patch/mythweb.pl.diff
-
 }
 
 
-- 
cgit v0.12


From a8b2865581cb2db961008c79ea48f31005b20113 Mon Sep 17 00:00:00 2001
From: Bob Igo <bob@stormlogic.com>
Date: Sat, 6 Jun 2009 16:57:55 -0400
Subject: workaround for package sync error

---
 abs/core-testing/aumix/PKGBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/abs/core-testing/aumix/PKGBUILD b/abs/core-testing/aumix/PKGBUILD
index 560427f..09b525a 100644
--- a/abs/core-testing/aumix/PKGBUILD
+++ b/abs/core-testing/aumix/PKGBUILD
@@ -2,7 +2,7 @@
 
 pkgname=aumix
 pkgver=2.8
-pkgrel=3
+pkgrel=4
 pkgdesc="A color text mode sound mixer with GPM support"
 arch=('i686' 'x86_64')
 license=('GPL')
-- 
cgit v0.12